OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class LogMessage

    java.lang.Object
      org.opennms.netmgt.eventd.db.LogMessage

public final class LogMessage
extends java.lang.Object

This is an utility class used to format the event log message info - to be inserted into the 'events' table

Author:
  Brian Weaver , OpenNMS

Constructor Summary
`LogMessage()`

Method Summary
`static java.lang.String` `format(Logmsg msg)` Format the logmsg entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogMessage

    public LogMessage()

Method Detail

### format

    public static java.lang.String format(Logmsg msg)

  Format the logmsg entry

  Parameters:
    `msg` - the logmsg
  Returns:
    the formatted logmsg

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.